
/*
** Author : Steven Ramsay <smr@dcs.ed.ac.uk>, 15/03/97
** Files  : Actable.java, Actable.class
** Package: simdcp
** Update : 11/06/97 
**
** Description:
** Interface (Abstract type) for actions in protocol table.
*/

package eduni.simdcp;

/* Methods defined in interface Actable
** -- none defined: interface is abstract --
** PUBLIC
**        String  Name()
**        String  Display()
**        int     Info()
*/
interface Actable {
  // This interface represents all possible actions for a choice in a state.
  // Actions will include: messages, log writes, failures.
  // The abstract methods below must be provided by any class implementing 
  // this interface.
 
  String Name();
  String Display();
  int    Info();
}                                                         // interface Actable


/*------------------------------ End of Actable.java ------------------------*/

