
/*
** Author : Steven Ramsay <smr@dcs.ed.ac.uk>, 18/03/97
** Files  : I_Box.java, I_Box.class
** Update : 11/06/97 
** Package: simdcp
**
** Description:
** Maintains information dialog box
*/

package eduni.simdcp;

import java.awt.*;
import java.awt.event.*;

/* Methods defined in class I_Box
** PUBLIC
** I_Box(Frame, Button)
**        void    actionPerformed(ActionEvent)
**        void    focusGained(FocusEvent)
**        void    focusLost(FocusEvent)
**
** PROTECTED
** PRIVATE
*/
public class I_Box extends Dialog
                   implements Constants, ActionListener, FocusListener {

  private Button         okay_b, applet_b;
  private MultiLineLabel label;
  private String         message; 

  public I_Box(String title, Button applet_b) {
      // Create a dialog with the specified title
      super(new Frame("AboutInfo"), title, false);
      this.applet_b = applet_b;

      message = new String("Distributed Commit Protocol (DCP)\n" +
                           "Simulation Model  v"+VERSION+"\n" + "  \n" +
                           "Steven Ramsay\n" + 
                           "<smr@dcs.ed.ac.uk>\n" + "  \n" +
                           "Dept. of Computer Science\n" +
                           "University of Edinburgh\n" + "  \n" +
                           "CS4 Project  --  10/06/97\n" +
                           "Supervisor:  Peter Thanisch\n" +
                           "<pt@dcs.ed.ac.uk>\n");

      // Create and use a BorderLayout manager with specified margins
      this.setLayout(new BorderLayout(30, 20));
        
      // Create the message component and add it to the window
      label = new MultiLineLabel(message, 20, 15, MultiLineLabel.CENTER);
      this.add("Center", label);
        
      // Create an Okay button in a Panel; add the Panel to the window
      // Use a FlowLayout to center the button and give it margins.
      okay_b = new Button("Okay");
      Panel p = new Panel();
      p.setLayout(new FlowLayout(FlowLayout.CENTER, 10, 10));
      p.add(okay_b);
      this.add("South", p);
      okay_b.addActionListener(this);
      this.addFocusListener(this);
 
      // Resize the window to the preferred size of its components
      this.pack();
  }

  public void actionPerformed(ActionEvent event) {
      // Method to handle Action events i.e. buttons, lists
      // This uses JDK 1.1 methods
      Object source = event.getSource();
 
      if (source == okay_b) {
          Global.Window_Visible(this, false);
      }
      else if (source == applet_b) {
          Global.Window_Visible(this, true);
      }
  }                                                 // void actionPerformed(1)

  public void focusGained(FocusEvent event) {
      // Method to handle event of getting focus
      // This uses JDK 1.1 methods
      okay_b.requestFocus();
  }                                                     // void focusGained(1)

  public void focusLost(FocusEvent event) {
      // Method to handle event of losing focus
      // This uses JDK 1.1 methods
      // Do nothing
  }                                                       // void focusLost(1)

}                                                               // class I_Box

/*----------------------------- End of I_Box.java ---------------------------*/

